class Bukkit

  module Server

    module Network

      def port; end
      alias_method :getPort, :port

      def ip; end
      alias_method :getIp, :ip

      def motd; end
      alias_method :getMotd, :motd

      def server_icon; end
      alias_method :getServerIcon, :server_icon

      def server_icon=(image); end
      alias_method :loadServerIcon, :server_icon=

      def idle_timeout=(threshold); end
      alias_method :setIdleTimeout, :idle_timeout=

      def idle_timeout; end
      alias_method :getIdleTimeout, :idle_timeout

      def ip_bans; end
      alias_method :getIPBans, :ip_bans

      def ban_ip; end
      alias_method :banIP, :ban_ip

      def unban_ip; end
      alias_method :unbanIP, :unban_ip

      def broadcast_message(message); end
      alias_method :broadcastMessage, :broadcast_message

      def broadcast(message, permission); end

      def connection_throttle; end
      alias_method :getConnectionThrottle, :connection_throttle

      def shutdown_message; end
      alias_method :getShutdownMessage, :shutdown_message

      def console_sender; end
      alias_method :getConsoleSender, :console_sender

      def messenger; end
      alias_method :getMessenger, :messenger

    end

  end

end