class Bukkit

  module Server

    module World

      def world_type; end
      alias_method :getWorldType, :world_type

      def generate_structures?; end
      alias_method :getGenerateStructures, :generate_structures?

      def allow_end?; end
      alias_method :getAllowEnd, :allow_end?

      def allow_nether?; end
      alias_method :getAllowNether, :allow_nether?

      def worlds; end
      alias_method :getWorlds, :worlds

      def create_world(creator); end
      alias_method :createWorld, :create_world

      def unload_world(name, should_save); end
      alias_method :unloadWorld, :unload_world

      def world(name_or_uuid); end
      alias_method :getWorld, :world

      def create_map(world); end
      alias_method :createMap, :create_map

      def world_container; end
      alias_method :getWorldContainer, :world_container

      def create_inventory(*options); end
      alias_method :createInventory, :create_inventory

      def spawn_radius; end
      alias_method :getSpawnRadius, :spawn_radius

    end

  end

end