Dir[File.dirname(__FILE__) + '/bukkit/**/*.rb'].each do |file|
  load file
end

class Bukkit

  attr_accessor :server
  alias_method :getServer, :server

  def server=(server)
    if @server
      raise StandardError, 'Cannot redefine singleton Server'
    elsif !@server.is_a? Bukkit::Server
      raise StandardError, 'Cannot redefine singleton Server'
    else
      @server = server
      import @server
      @server.logger.info "This server is running #{name} version #{version} (Implementing API version #{bukkit_version})"
    end
  end
  alias_method :setServer, :server=

end
