class Bukkit

  module Server

    module Players

      def online_players; end
      alias_method :getOnlinePlayers, :online_players

      def max_players; end
      alias_method :getMaxPlayers, :max_players

      def player(id); end
      alias_method :getPlayer, :player

      def plugin_manager; end
      alias_method :getPluginManager, :plugin_manager

      def save_players; end
      alias_method :savePlayers, :save_players

      def banned_players; end
      alias_method :getBannedPlayers, :banned_players

      def ban_list(type); end
      alias_method :getBanList, :ban_list

      def operators; end
      alias_method :getOperators, :operators

      def offline_player(id); end
      alias_method :getOfflinePlayer, :offline_player

      def offline_players; end
      alias_method :getOfflinePlayers, :offline_players

      def exact_login_location?; end
      alias_method :useExactLoginLocation, :exact_login_location?

    end

  end

end