class Bukkit

  module Server

    module Processing

      def update_folder; end
      alias_method :getUpdateFolder, :update_folder

      def update_folder_file; end
      alias_method :getUpdateFolderFile, :update_folder_file

      def ticks_per_animal_spawns; end
      alias_method :getTicksPerAnimalSpawns, :ticks_per_animal_spawns

      def ticks_per_monster_spawns; end
      alias_method :getTicksPerMonsterSpawns, :ticks_per_monster_spawns

      def scheduler; end
      alias_method :getScheduler, :scheduler

      def services_manager; end
      alias_method :getServicesManager, :services_manager

      def monster_spawn_limit; end
      alias_method :getMonsterSpawnLimit, :monster_spawn_limit

      def animal_spawn_limit; end
      alias_method :getAnimalSpawnLimit, :animal_spawn_limit

      def water_animal_spawn_limit; end
      alias_method :getWaterAnimalSpawnLimit, :water_animal_spawn_limit

      def ambient_spawn_limit; end
      alias_method :getAmbientSpawnLimit, :ambient_spawn_limit

      def primary_thread?; end
      alias_method :isPrimaryThread, :primary_thread?

      def warning_state; end
      alias_method :getWarningState, :warning_state

      def item_factory; end
      alias_method :getItemFactory, :item_factory

      def scoreboard_manager; end
      alias_method :getScoreboardManager, :scoreboard_manager

    end

  end

end